> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a FedNow Payment



## OpenAPI

````yaml api-reference/openapi-payments.json POST /fednow
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Payments
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /fednow:
    post:
      tags:
        - FedNow
      summary: Create a FedNow Payment
      requestBody:
        content:
          application/json:
            examples:
              example:
                summary: Example
                value:
                  account_id: '123456'
                  amount: '100.00'
                  external_account_number: '123456789'
                  external_name: Jane Doe
                  external_routing_number: '000000000'
                  memo: 'Invoice #053'
                  originator_name: John Doe
                  security_context:
                    device_id: 2f4a3f0005614323a61ac09918d29129
                    ip_address: 127.0.0.1
                    user_agent: Mozilla/5.0
            schema:
              properties:
                account_id:
                  description: ID of the account. Filterable.
                  type: string
                amount:
                  description: Amount of the payment
                  pattern: ^[0-9]+[.][0-9][0-9]$
                  type: string
                description:
                  description: Optional description of the payment
                  type: string
                external_account_number:
                  description: External account number. Filterable.
                  type: string
                external_name:
                  description: External account name
                  type: string
                external_routing_number:
                  description: External routing number
                  type: string
                memo:
                  description: Optional memo for the payment
                  type: string
                originator_name:
                  description: Optional sender name for the payment
                  type: string
                security_context:
                  description: Context for this submission
                  properties:
                    device_id:
                      description: Unique identifier for the device
                      type: string
                    ip_address:
                      description: IP address of the user
                      type: string
                    user_agent:
                      description: User agent string of the client
                      type: string
                  type: object
              required:
                - amount
                - account_id
                - external_routing_number
                - id
                - external_name
                - external_account_number
        description: The fednow to create
        required: true
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    account_id: acct_11kpbg3r130zjwr
                    amount: '100.00'
                    bank_id: bank_acme
                    created_at: '2024-01-01T00:00:00Z'
                    currency: USD
                    description: FedNow transfer 202503243211779688172026683739635
                    error: null
                    external_account_number: '123456789'
                    external_name: John Doe
                    external_reject_reason: null
                    external_routing_number: '987654321'
                    external_status: pending
                    fed_settlement_date: '2024-01-01'
                    id: fednow_11ky35224fez5zb
                    memo: Cherry trees
                    org_id: org_acme
                    originator_name: Jane Doe
                    payment_id: '202503243211779688172026683739635'
                    payment_type: debit
                    related_fednow_ids:
                      - '202503243211779688172026683739633'
                      - '202503243211779688172026683739634'
                    security_context:
                      device_id: a1b2c3d4e5f6
                      ip_address: 192.168.1.1
                      user_agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                    status: pending
                    updated_at: '2024-01-01T00:00:00Z'
              schema:
                properties:
                  account_id:
                    description: ID of the account. Filterable.
                    type: string
                  amount:
                    description: Amount of the payment
                    pattern: ^[0-9]+[.][0-9][0-9]$
                    type: string
                  bank_id:
                    description: ID of the bank. Filterable.
                    type: string
                  created_at:
                    description: When this object was created
                    type: string
                  currency:
                    description: Currency of the payment
                    type: string
                  description:
                    description: Optional description of the payment
                    type: string
                  error:
                    description: Error message describing why the payment failed
                    type: string
                  external_account_number:
                    description: External account number. Filterable.
                    type: string
                  external_name:
                    description: External account name
                    type: string
                  external_reject_reason:
                    description: >-
                      Rejection reason information for rejected payments. Only
                      present for payments rejected by FedNow or counterparty.
                    properties:
                      reason_code:
                        description: >-
                          ISO 20022 or FedNow proprietary reason code for
                          rejected payments.
                        type: string
                      reason_description:
                        description: Description of the rejection reason code.
                        type: string
                    type: object
                  external_routing_number:
                    description: External routing number
                    type: string
                  external_status:
                    description: >-
                      Status of originated payment at the external account. Only
                      populated for sent payments. One of `pending`,
                      `processing`, `done`, `rejected`, `blocked`, or `error`.
                      Filterable.
                    type: string
                  fed_settlement_date:
                    description: Settlement date from FedNow
                    type: string
                  id:
                    description: Unique identifier for object
                    type: string
                  memo:
                    description: Optional memo for the payment
                    type: string
                  org_id:
                    description: ID of the organization. Filterable.
                    type: string
                  originator_name:
                    description: Optional sender name for the payment
                    type: string
                  payment_id:
                    description: FedNow payment ID. Filterable.
                    type: string
                  payment_type:
                    description: One of `credit` or `debit`
                    type: string
                  related_fednow_ids:
                    description: An array of IDs for related FedNow payments
                    items:
                      type: string
                    type: array
                  security_context:
                    description: Context for this submission
                    properties:
                      device_id:
                        description: Unique identifier for the device
                        type: string
                      ip_address:
                        description: IP address of the user
                        type: string
                      user_agent:
                        description: User agent string of the client
                        type: string
                    type: object
                  status:
                    description: >-
                      One of `pending`, `processing`, `sent`, `done`, or
                      `error`. The available values for status are driven by
                      payment type. Successful credits (incoming) terminate in
                      `done`. Debits (outgoing) terminate in `sent`. Filterable.
                    type: string
                  updated_at:
                    description: When this object was last updated
                    type: string
          description: The fednow created
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````